Need for older versions of ffmpeg builds

For the developers that use FFmpeg in their software.
Post Reply
mdmh
Posts: 1
Joined: Tue May 01, 2018 10:20 am

Need for older versions of ffmpeg builds

Post by mdmh » Tue May 01, 2018 10:39 am

Hi,

In a project which was written using ffmpeg 1.1, we have upgraded to ffmpeg 3.3, but decoding not work. After hours of investigating we could not know why the problem occurs (technical details can be provided if you are interested in). Final solution for us is to start upgrading from old versions step by step until latest version to see in which version the problem occurs.

So we need old ffmpeg build. It seems because of storage limitations old versions have been removed. Where I can find old binaries (win32&win64 dev and shared)?

Technical problem description is as follows:

I have a source code in C++ using live55 and libavcodec for decoding h264 rtsp stream. This source code was written using ffmpeg 1.1. Now when I upgraded to ffmpeg 3.3, all things seem to work correctly except that decoding frames not work. In old version, I was using avcodec_decode_video2. After upgrading, avcodec_decode_video2 always sets got_picture to 0 and return value is equal to the size of the input packet (which means all data is used). And never a frame is decoded. I have also removed avcodec_decode_video2 and done decoding with avcodec_send_packet and avcodec_receive_frame, but avcodec_send_packet always returns 0 and avcodec_receive_frame always returns -11 (EAGAIN).

I think the problem is from extra data setup for codec. When I setup codecs for stream, I set extra data for the codec context (start code and sprops received from sdp). This all was working in old version of ffmpeg, but now using ffmpeg 3.3, it never decodes a frame.

Post Reply